pydo.insights.list_notification_channels()
Generated on 6 Nov 2026
from pydo version
v0.45.0
Usage
client.insights.list_notification_channels(page=1, per_page=20)Description
To list all notification channels for your account, send a GET request to
/v2/insights/notification-channels. Results are paginated with page and
per_page (default 20, maximum 200).
Parameters
pageinteger optionalWhich 'page' of paginated results to return.
per_pageinteger optionalNumber of items returned per page
Pagination
This method returns paginated results. The response includes a
links.pages object with URLs for navigating between pages. To
retrieve the next page, parse the next URL and pass the page
parameter:
from urllib.parse import urlparse, parse_qs
resp = client.insights.list_notification_channels()
pages = resp.get("links", {}).get("pages", {})
while "next" in pages:
parsed = urlparse(pages["next"])
page = int(parse_qs(parsed.query)["page"][0])
resp = client.insights.list_notification_channels(page=page)
pages = resp.get("links", {}).get("pages", {})Response Example
More Information
See /v2/insights/notification-channels in the API reference for additional detail on responses, headers, parameters, and more.